/*
  a generic Server for deviceConfig entries
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include <producer/core/deviceConfigServer.h>


DeviceConfigServer::DeviceConfigServer() {
  client=NULL;
  config=new DeviceConfig();
  producer=NULL;
}


DeviceConfigServer::~DeviceConfigServer() {
}



void DeviceConfigServer::setNotifyClient(ThreadState* client) {
  this->client=client;
}


void DeviceConfigServer::setProducerEnter(int allow) {
  if (client != NULL) {
    client->setProducerEnter(allow);
  }
}


void DeviceConfigServer::enqueueThreadState(int state) {
  if (client != NULL) {
    client->enqueueThreadState(state);
  }
}

 
void DeviceConfigServer::updateDeviceConfig(DeviceConfig* newConfig) {
  if (producer != NULL) {
    producer->updateDeviceConfig(newConfig);

  }
}


void DeviceConfigServer::setProducer(Producer* producer) {
  this->producer=producer;
  producer->setNotifyClient(this);
}


Producer* DeviceConfigServer::getProducer() {
  return producer;
}


DeviceConfig* DeviceConfigServer::getDeviceConfig() {
  return config;
}
